// EIBnet.cpp: Implementierung von CEIBnetApp und DLL-Registrierung.

#include "stdafx.h"
#include "EIBnet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


CEIBnetApp NEAR theApp;

const GUID CDECL BASED_CODE _tlid =
		{ 0xb8b89500, 0x28f6, 0x11d8, { 0xb8, 0x66, 0, 0x60, 0x1d, 0x21, 0xa7, 0xba } };
const WORD _wVerMajor = 1;
const WORD _wVerMinor = 0;


////////////////////////////////////////////////////////////////////////////
// CEIBnetApp::InitInstance - DLL-Initialisierung

BOOL CEIBnetApp::InitInstance()
{
	BOOL bInit = COleControlModule::InitInstance();

   //--- init sockets
	if (!AfxSocketInit())
	{
		AfxMessageBox("AfxSocketInit failed");
		return FALSE;
	}

	if (bInit)
	{
		// ZU ERLEDIGEN: Hier den Code fr das Initialisieren der eigenen Module einfgen.
	}

	return bInit;
}


////////////////////////////////////////////////////////////////////////////
// CEIBnetApp::ExitInstance - DLL-Beendigung

int CEIBnetApp::ExitInstance()
{
	// ZU ERLEDIGEN: Hier den Code fr das Beenden der eigenen Module einfgen.

	return COleControlModule::ExitInstance();
}


/////////////////////////////////////////////////////////////////////////////
// DllRegisterServer - Fgt der Systemregistrierung Eintrge hinzu

STDAPI DllRegisterServer(void)
{
	AFX_MANAGE_STATE(_afxModuleAddrThis);

	if (!AfxOleRegisterTypeLib(AfxGetInstanceHandle(), _tlid))
		return ResultFromScode(SELFREG_E_TYPELIB);

	if (!COleObjectFactoryEx::UpdateRegistryAll(TRUE))
		return ResultFromScode(SELFREG_E_CLASS);

	return NOERROR;
}


/////////////////////////////////////////////////////////////////////////////
// DllUnregisterServer - Entfernt Eintrge aus der Systemregistrierung

STDAPI DllUnregisterServer(void)
{
	AFX_MANAGE_STATE(_afxModuleAddrThis);

	if (!AfxOleUnregisterTypeLib(_tlid, _wVerMajor, _wVerMinor))
		return ResultFromScode(SELFREG_E_TYPELIB);

	if (!COleObjectFactoryEx::UpdateRegistryAll(FALSE))
		return ResultFromScode(SELFREG_E_CLASS);

	return NOERROR;
}
