#if !defined(AFX_EIBNETCTL_H__B8B89510_28F6_11D8_B866_00601D21A7BA__INCLUDED_)
#define AFX_EIBNETCTL_H__B8B89510_28F6_11D8_B866_00601D21A7BA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "EEmsg.h"

// EIBnetCtl.h: Deklaration der CEIBnetCtrl-ActiveX-Steuerelementeklasse.

/////////////////////////////////////////////////////////////////////////////
// CEIBnetCtrl: Siehe EIBnetCtl.cpp fr Implementierung.

class CEIBnetCtrl : public COleControl
{
	DECLARE_DYNCREATE(CEIBnetCtrl)

// Konstruktor
public:
	CEIBnetCtrl();

	CEEmsg m_EEmsg;

   LRESULT OnFireEventForThread(WPARAM wParam, LPARAM lParam);
   LRESULT OnFireSocketClose(WPARAM wParam, LPARAM lParam);

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CEIBnetCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	//}}AFX_VIRTUAL

// Implementierung
protected:
	~CEIBnetCtrl();

	DECLARE_OLECREATE_EX(CEIBnetCtrl)    // Klassenerzeugung und GUID
	DECLARE_OLETYPELIB(CEIBnetCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CEIBnetCtrl)     // Eigenschaftenseiten-IDs
	DECLARE_OLECTLTYPE(CEIBnetCtrl)		// Typname und versch. Status

// Nachrichtenzuordnungstabellen
	//{{AFX_MSG(CEIBnetCtrl)
		// HINWEIS - Der Klassen-Assistent fgt Member-Funktionen hier ein und entfernt diese.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch-Tabellen
	//{{AFX_DISPATCH(CEIBnetCtrl)
	afx_msg BOOL Connect(LPCTSTR IpAddr);
	afx_msg void Disconnect();
	afx_msg void SendBit(short GroupAddr_A, short GroupAddr_B, short GroupAddr_C, short Value);
	afx_msg void ReadObjValue(short GroupAddr_A, short GroupAddr_B, short GroupAddr_C);
	afx_msg BOOL IsConnected();
	afx_msg short GetVersion();
	afx_msg short GetBuild();
	afx_msg void SendByte(short GroupAddr_A, short GroupAddr_B, short GroupAddr_C, short Value);
	afx_msg void SendWord(short GroupAddr_A, short GroupAddr_B, short GroupAddr_C, short Value);
	afx_msg float GetEIS5value(short value);
	afx_msg void SendRaw(short GroupAddr_A, short GroupAddr_B, short GroupAddr_C, short Length, LPCTSTR RawData);
	afx_msg short GetEIStimedate(long value, short select);
	afx_msg void SendTime(short GroupAddr_A, short GroupAddr_B, short GroupAddr_C);
	afx_msg void SendDate(short GroupAddr_A, short GroupAddr_B, short GroupAddr_C);
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

// Ereignistabellen
	//{{AFX_EVENT(CEIBnetCtrl)
	void FireOnReceive(short GroupAddr, long Value)
		{FireEvent(eventidOnReceive,EVENT_PARAM(VTS_I2  VTS_I4), GroupAddr, Value);}
	void FireOnSocketClose()
		{FireEvent(eventidOnSocketClose,EVENT_PARAM(VTS_NONE));}
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch- und Ereignis-IDs
public:
	enum {
	//{{AFX_DISP_ID(CEIBnetCtrl)
	dispidConnect = 1L,
	dispidDisconnect = 2L,
	dispidSendBit = 3L,
	dispidReadObjValue = 4L,
	dispidIsConnected = 5L,
	dispidGetVersion = 6L,
	dispidGetBuild = 7L,
	dispidSendByte = 8L,
	dispidSendWord = 9L,
	dispidGetEIS5value = 10L,
	dispidSendRaw = 11L,
	dispidGetEIStimedate = 12L,
	dispidSendTime = 13L,
	dispidSendDate = 14L,
	eventidOnReceive = 1L,
	eventidOnSocketClose = 2L,
	//}}AFX_DISP_ID
	};
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_EIBNETCTL_H__B8B89510_28F6_11D8_B866_00601D21A7BA__INCLUDED)
